###############################################################################
#
#       Capture Branded ODBC Driver version Information
#
#       Module  odbc_version.sh
#
#       Copyright IBM Corp. 2001, 2009
#
#
#	This script captures various info about a users
#	Unix system and product installation and outputs
#	it to a text file that can be e-mailed to a rep.
#
#
###############################################################################
#
#       Maintenence log - insert most recent change descriptions at top
#
#	Date.... Request# WHO Description.........................................
#	07/04/09 00152835 QY  Updated default DSHOME path
#
#	06/02/02 10080  PS  New.
###############################################################################


###############################################################################
# do_display_copyright
###############################################################################
do_display_copyright()
{
        # output copyright message
        clear
        echo
        echo "odbc_version.sh"
        echo "Copyright IBM Corp. 2006, 2009"
        echo
        sleep 3
	echo
	echo "Obtaining ODBC driver Information, Please wait..."
	echo
}

###############################################################################
# do_goto_brandedodbcdir
###############################################################################
do_goto_brandedodbcdir()
{
	DSHOME=`cat /.dshome`
	if [ $DSHOME = "" ]
	then
		echo "\n\nDSHOME not set, please enter the DSHOME path e.g"
		echo "/opt/IBM/InformationServer/Server/DSEngine\n"
		read DSHOME
	fi

	cd $DSHOME/
	. ./dsenv
	cd ../branded_odbc/bin
	echo "Branding Details" >> $CE_OUTFILE
	echo "----------------" >> $CE_OUTFILE
	cat ../IBM_Tools/odbcinfo >> $CE_OUTFILE
	echo >> $CE_OUTFILE
}	


###############################################################################
# do_set_suffix
###############################################################################
do_set_suffix()
{
	os_name=`uname -a | cut -d" " -f1` 
	SUFFIX="so"
	if [ $os_name = "HP-UX" ]
	then
		SUFFIX="sl"
	fi
		
}

###############################################################################
# do_get_driver_info
###############################################################################
do_get_driver_info()
{
	echo "Driver Details" >> $CE_OUTFILE
	echo "--------------" >> $CE_OUTFILE
	echo >> $CE_OUTFILE

	for file in ../lib/*.$SUFFIX
	do
		echo processing $file... >> $CE_OUTFILE
		./ivtestlib $file >> $CE_OUTFILE
		echo >> $CE_OUTFILE
		echo >> $CE_OUTFILE
	done
	echo "finished processing branded_odbc drivers" >> $CE_OUTFILE
	echo "press enter to continue"
	read dummy

}

###############################################################################
# main                                                                        #
###############################################################################


	CE_PWD=`pwd`
	CE_OUTFILE="$CE_PWD/odbc_version.txt"
	echo "ODBC Version Details" > $CE_OUTFILE
	echo "--------------------" >> $CE_OUTFILE
	echo >> $CE_OUTFILE
	do_display_copyright
	do_set_suffix
	do_goto_brandedodbcdir
	do_get_driver_info
	more $CE_OUTFILE
	exit

###############################################################################
# end                                                                         #
###############################################################################

