#!/bin/ksh
###############################################################################
#
#       DataStage Server relink ODBC message file for Non en_US LANG environment
#
#       Module  relink_odbc_messages.ksh
#
#       Copyright IBM Corp. 2002, 2009
#
#       (c) Copyright 2002 Ascential SOftware. - All Rights Reserved
#       This is unpublished proprietary source code of Informix Corporation.
#       The copyright notice above does not evidence any actual or intended
#       publication of such source code.
#
###############################################################################
#
#       Maintenence log - insert most recent change descriptions at top
#
#	Date.... Request# WHO Description.........................................
#	07/04/09 00152835 QY  Updated default DSHOME path
#
#	05/01/03 10084  PS  Added DSHOME check.
#	05/08/02 10080  PS   New.
#
#
###############################################################################	
#
#	********************* Narrative *******************************
#	Script to relink odbc message library when non en_US LANG environemt
#	is set.
# 
###############################################################################

tput clear

echo "    Relink branded_odbc message libraries to LANG environment variable"
echo "    ------------------------------------------------------------------"

# Get current working directory (need to return to this point later)

CE_PWD=`pwd`

#	Get Current Language 

DEF_LANG=$LANG

#	Generate a list of valid locales & store in /tmp/valid_locales
	locale -a > /tmp/valid_locales

# Check if LANG = "en_US", if do nothing and exit

case $DEF_LANG in
        "en_US")
 
	echo "\n\nLanguage is set to en_US, nothing to do"
	echo "\n[Done...]"
	exit
;;
        "")
	echo "\n\nLanguage is blank, set to a valid local, e.g LANG=en_US ; export LANG"
        echo "and run this script again"
        echo "\n"
	echo "Valid LANG's for this machine are:-\n"
#	ValidList= `locale -a`
#	echo "\n $ValidList\n\n"
	pg /tmp/valid_locales
;;
        *)
#	ValidList=`locale -a`

#	IsValid=`echo $ValidList | grep $DEF_LANG
	IsValid=`cat  /tmp/valid_locales | grep $DEF_LANG`
	if [[ $IsValid = "" ]]
	then
		echo "\n\nLanguage is $DEF_LANG, which is not valid"
	        echo "set to a valid local, e.g LANG=en_US ; export LANG"
	        echo "and run this script again"
		echo "Valid LANG's for this machine are:-\n"
		pg /tmp/valid_locales
	else
	echo "\n\nLanguage is - $DEF_LANG, create a link to this locale(Y/N)? - \c"
	read ANS
	if [[ $ANS = "Y" || $ANS = "y" ]]
	then

#	Get the DataStage Home Diectory & cd to the locale directory

		DSHOME=`cat /.dshome`

		if [[ $DSHOME = "" ]]
		then
			echo "\n\nDSHOME not set, please enter the DSHOME path e.g"
			echo "/opt/IBM/InformationServer/Server/DSEngine\n"
			read DSHOME
		fi

		cd $DSHOME/../branded_odbc/locale
		test -r $DEF_LANG
		if [[ $? = 0 ]]
		then    
			echo "\n\nLink already exists, nothing to do!"
			exit
		else
			echo "\n\nCreating link - $DEF_LANG"

                	ln -s en_US $DEF_LANG
			echo "\n\nEnglish messages will be displayed for the following"
                        echo "Languages:-"
			echo
			echo `ls`
		fi

	fi
	fi
;;
esac
